/[suikacvs]/test/html-webhacc/cc-style.css
Suika

Diff of /test/html-webhacc/cc-style.css

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.8 by wakaba, Mon Sep 3 14:30:46 2007 UTC revision 1.13 by wakaba, Wed Nov 7 12:20:44 2007 UTC
# Line 7  Line 7 
7    padding: 0.5em 1em;    padding: 0.5em 1em;
8  }  }
9    
10  dt, strong {  dt, strong, th {
11    font-weight: bolder;    font-weight: bolder;
12    font-family: sans-serif;    font-family: sans-serif;
13  }  }
# Line 30  h2 { Line 30  h2 {
30    font-size: 150%;    font-size: 150%;
31  }  }
32    
33  h3 {  h3, th {
34    font-weight: bolder;    font-weight: bolder;
35    font-family: sans-serif;    font-family: sans-serif;
36    font-size: 100%;    font-size: 100%;
# Line 103  q:before, q:after { Line 103  q:before, q:after {
103    font-size: 90%;    font-size: 90%;
104  }  }
105    
106  #parse-errors dd, #document-errors dd, #error-description h3 {  #dump-manifest tbody:empty {
107      display: table-caption;
108      caption-side: bottom;
109    }
110    
111    #dump-manifest tbody:empty::after {
112      content: "This cache manifest contains no oppotunistic caching namespace.";
113      font-style: italic;
114    }
115    
116    #dump-manifest dt:first-child + dt::before,
117    #dump-manifest dt:last-child::after {
118      display: block;
119      content: "This cache manifest contains no explicit entry.";
120      margin-left: 2.5em;
121      font-style: italic;
122      font-weight: normal;
123      font-family: serif;
124    }
125    
126    #dump-manifest dt:last-child::after {
127      content: "This cache manifest has an empty online whitelist.";
128    }
129    
130    #parse-errors dd, #document-errors dd, #error-description h3,
131    #result-para {
132    margin-left: 20px;    margin-left: 20px;
133    padding-left: 40px;    padding-left: 40px;
134    min-height: 32px;    min-height: 32px;
# Line 112  q:before, q:after { Line 137  q:before, q:after {
137    background-repeat: no-repeat;    background-repeat: no-repeat;
138  }  }
139    
140    #levels-table tbody th:first-child {
141      padding-left: 42px;
142      min-height: 32px;
143      background-image: url(large-stop);
144      background-position: 5px center;
145      background-repeat: no-repeat;
146      text-align: left;
147    }
148    
149  #identifiers dd, #terms dd {  #identifiers dd, #terms dd {
150    margin-left: 20px;    margin-left: 20px;
151    padding-left: 20px;    padding-left: 20px;
# Line 129  q:before, q:after { Line 163  q:before, q:after {
163    margin-right: 1em;    margin-right: 1em;
164  }  }
165    
166  #document-errors dd.should, #error-description .should h3 {  #document-errors dd.should, #error-description .should h3,
167    #result-para.SEE-RESULT, #levels-table #level-s th {
168    background-image: url(large-alert);    background-image: url(large-alert);
169  }  }
170    
171    #levels-table #level-w th {
172      background-image: url(large-info);
173    }
174    
175  #document-errors dd.unsupported {  #document-errors dd.unsupported {
176    margin-left: 60px;    margin-left: 60px;
177    border: red 0.2em solid;    border: red 0.2em solid;
178    padding: 0.5em;    padding: 0.5em;
179  }  }
180    
181  #document-errors dd.unsupported, #error-description .unsupported h3 {  #document-errors dd.unsupported, #error-description .unsupported h3,
182    #result-para.uncertain, #levels-table #level-unsupported th {
183    background-image: none;    background-image: none;
184  }  }
185    
186    #result-para.PASS {
187      background-image: url(ok);
188    }
189    
190  #nav-items {  #nav-items {
191    display: block;    display: block;
192    position: fixed;    position: fixed;
# Line 186  code { Line 230  code {
230    white-space: pre-wrap;    white-space: pre-wrap;
231  }  }
232    
233    .example {
234      background-color: #ececff;
235    }
236    
237    pre.example {
238      margin-left: 1em;
239      margin-right: 1em;
240      padding: 0.2em 0.5em;
241    }
242    
243    .example.bad {
244      background-color: #fff7f7;
245    }
246    
247    code.example.bad {
248      color: inherit;
249      background-color: #ffeeee;
250    }
251    
252    h3 code.example.bad {
253      color: orangered;
254      background-color: transparent;
255    }
256    
257    pre.example::before {
258      content: "Example";
259      display: block;
260      color: #b0b0ff;
261      background-color: transparent;
262      font-weight: bolder;
263      font-family: sans-serif;
264    }
265    
266    pre.example.html::before {
267      content: "HTML Example";
268    }
269    
270    pre.example.xml::before {
271      content: "XML Example";
272    }
273    
274    pre.example.manifest::before {
275      content: "Cache Manifest Example";
276    }
277    
278    pre.example.bad::before {
279      content: "Bad Example";
280      color: #ffc1c1;
281    }
282    
283    pre.example.bad.html::before {
284      content: "HTML Bad Example";
285    }
286    
287    pre.example.bad.xml::before {
288      content: "XML Bad Example";
289    }
290    
291    pre.example.bad.manifest::before {
292      content: "Cache Manifest Bad Example";
293    }
294    
295    .rfc2119 {
296      border-style: none;
297      text-transform: lowercase;
298      font-variant: small-caps;
299      font-style: normal;
300      text-decoration: none;
301      font-weight: normal;
302      font-family: sans-serif;
303    }
304    
305    #result-summary table {
306      margin-left: auto;
307      margin-right: auto;
308      border: 3px solid #800080;
309      border-collapse: collapse;
310    }
311    
312    #result-summary tbody, colgroup {
313      border: 3px solid #800080;
314    }
315    
316    #result-summary th {
317      background-color: #fff0f0;
318      color: black;
319    }
320    
321    #result-summary th, #result-summary td {
322      border: 1px solid #800080;
323      padding: 0.2em 0.5em;
324      text-align: center;
325      empty-cells: show;
326    }
327    
328    .uncertain td, p.uncertain, #level-unsupported, #level-unsupported th {
329      background-color: #e1e1ff;
330      color: black;
331    }
332    
333    .FAIL, .uncertain td.FAIL, #level-m, #level-m th {
334      background-color: #ffcece;
335      color: black;
336    }
337    
338    .SEE-RESULT, .uncertain td.SEE-RESULT, #level-s, #level-s th {
339      background-color: #e1e1ff;
340      color: black;
341    }
342    
343    .PASS, #level-w, #level-w th {
344      background-color: #ddffdd;
345      color: black;
346    }
347    
348    #result-para {
349      padding-top: 0.2em;
350      padding-bottom: 0.2em;
351      padding-right: 1em;
352    }
353    
354    /* dl.switch from WHATWG specification style sheet */
355    
356    dl.switch {
357      padding-left: 2em;
358    }
359    
360    dl.switch dt {
361      display: block;
362      text-indent: -1.5em;
363      font-weight: bolder;
364      font-family: sans-serif;
365      font-style: normal;
366    }
367    
368    dl.switch dt:before {
369      content: '\21AA';
370      padding: 0 0.5em 0 0;
371      display: inline-block;
372      width: 1em;
373      text-align: right;
374      line-height: 0.5em;
375    }
376    
377    dl.switch dt:after {
378      content: " :";
379    }
380    
381  /*  /*
382    
383  Copyright 2007 Wakaba <[email protected]>  Copyright 2007 Wakaba <[email protected]>.
384    
385  This library is free software; you can redistribute it  This library is free software; you can redistribute it
386  and/or modify it under the same terms as Perl itself.  and/or modify it under the same terms as Perl itself.

Legend:
Removed from v.1.8  
changed lines
  Added in v.1.13

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24